# -*- coding: utf-8 -*-
"""
Created on Wed May  3 16:50:51 2017

"""

#!/usr/bin/env python


import matplotlib.pyplot as plt
import matplotlib as mp
import matplotlib.mlab as ml
import numpy as np

#import ConfigParser
#config = ConfigParser.RawConfigParser()

import netCDF4
from netCDF4 import Dataset
   
import matplotlib.colors as col

#------------------------------------------
PATH_txt = '../FORCING/'

#------------------------------------------

xlabel='Days of December 2009'
xmin=0.5 ; xmax=16.5

VAR1='TA'     ; ymin=230 ; ymax=255 ; ylabel='Air Temperature ($K$)'
VAR1='WIND'   ; ymin=0. ; ymax=7. ; ylabel='Wind Speed ($m/s$)'
VAR1='QA'     ; ymin=0.0001 ; ymax=0.0007 ; ylabel='Air Specific Humidity ($kg/kg$)'
VAR1='LW'     ; ymin=80. ; ymax=160. ; ylabel='Infrared Radiation ($W/m^2$)'
VAR1='DIR_SW' ; ymin=50. ; ymax=850. ; ylabel='Solar Radiation ($W/m^2$)'
VAR1='PS'     ; ymin=64500. ; ymax=66000. ; ylabel='Surface Pressure ($Pa$)'

nom_save_fig=VAR1+'.png'    
#------------------------------------------

nom1 = PATH_txt + 'Forc_' + VAR1 + '.20091201_20091215.txt'

f = open(nom1,'r')
MATRICE1 = np.loadtxt(f)
f.close()

tab0 = MATRICE1[:,0] + 1.
tab1 = MATRICE1[:,1]

fig1=plt.figure(figsize=(10,2))

x= [1958,1959,1960,1961,1962,1963,1964,
           1965,1966,1967,1968,1969,1970,
           1971,1972,1973,1974,1975,1976,
           1977,1978,1979,1980,1981,1982,
           1983,1984,1985,1986,1987,1988,
           1989,1990,1991,1992,1993,1994,
           1995,1996,1997,1998,1999,2000,
           2001,2002,2003,2004,2005,2006,
           2007,2008,2009,2010,2011,2012,
           2013,2014,2015,2016,2017]


a=plt.plot(tab0,tab1,'black',linewidth=1,linestyle='-')
#a=plt.plot(tab0,tab1,'black',linewidth=1,linestyle='-',marker='+')
#a=plt.plot(tab0,tab1,'black',linewidth=1,linestyle='--',marker='o')
#plt.xticks(tab0,labels,rotation='45')
#plt.xticks(np.arange(1958.,2018.,9.83),('1958','1968','1978','1988','1998','2008','2018'),rotation='45')
plt.xticks(np.linspace(1,16,16))
#plt.tick_params(labelsize=7)
plt.title('')
plt.ylabel(ylabel,fontsize=7)
plt.xlabel(xlabel,fontsize=7)
plt.xlim([xmin,xmax])    
plt.grid(True)
plt.ylim([ymin,ymax])    
#plt.xticks(np.arange(1958.,2018.,10),('1958','1968','1978','1988','1998','2008','2018'))
#first_legend = plt.legend([a[0]], ['(a)'],fontsize=7,loc=0)
#ax = plt.gca().add_artist(first_legend)

plt.savefig(nom_save_fig,dpi=300,bbox_inches='tight')



