# -*- coding: utf-8 -*-
"""
Created on Wed May  3 16:50:51 2017

"""

#!/usr/bin/env python


import matplotlib.pyplot as plt
import matplotlib as mp
import matplotlib.mlab as ml
import numpy as np

#import ConfigParser
#config = ConfigParser.RawConfigParser()

import netCDF4
from netCDF4 import Dataset
   
import matplotlib.colors as col

#------------------------------------------
PATH_txt = './'
#------------------------------------------
xlabel='Time'
xlabel=''

nom1='Albedo_cmc_gdps_v02'
nom2='Albedo_cnrm_d95_v0'
nom3='Albedo_cnrm_ies_v8'
nom4='Albedo_ecmwf_chtessel_v01_sn'
nom5='Albedo_lgge_lmdz_v1'
nom6='Albedo_ncep_noah_v3'
nom7='Albedo_cnrm_cro_v8'
nom8='Albedo_cnrm_eba_v0'
nom9='Albedo_mo_jules_v13'
nom10='Albedo_larc_clm4_v2'

f = open(nom1,'r')
MATRICE1 = np.loadtxt(f)
f.close()
f = open(nom2,'r')
MATRICE2 = np.loadtxt(f)
f.close()
f = open(nom3,'r')
MATRICE3 = np.loadtxt(f)
f.close()
f = open(nom4,'r')
MATRICE4 = np.loadtxt(f)
f.close()
f = open(nom5,'r')
MATRICE5 = np.loadtxt(f)
f.close()
f = open(nom6,'r')
MATRICE6 = np.loadtxt(f)
f.close()
f = open(nom7,'r')
MATRICE7 = np.loadtxt(f)
f.close()
f = open(nom8,'r')
MATRICE8 = np.loadtxt(f)
f.close()
f = open(nom9,'r')
MATRICE9 = np.loadtxt(f)
f.close()
f = open(nom10,'r')
MATRICE10 = np.loadtxt(f)
f.close()


xx1  = MATRICE1 [:,0] ; yy1  = MATRICE1 [:,1]
xx2  = MATRICE2 [:,0] ; yy2  = MATRICE2 [:,1]
xx3  = MATRICE3 [:,0] ; yy3  = MATRICE3 [:,1]
xx4  = MATRICE4 [:,0] ; yy4  = MATRICE4 [:,1]
xx5  = MATRICE5 [:,0] ; yy5  = MATRICE5 [:,1]
xx6  = MATRICE6 [:,0] ; yy6  = MATRICE6 [:,1]
xx7  = MATRICE7 [:,0] ; yy7  = MATRICE7 [:,1]
xx8  = MATRICE8 [:,0] ; yy8  = MATRICE8 [:,1]
xx9  = MATRICE9 [:,0] ; yy9  = MATRICE9 [:,1]
xx10 = MATRICE10[:,0] ; yy10 = MATRICE10[:,1]

fig1=plt.figure(figsize=(8,4))

#a1 =plt.plot(xx1 ,yy1 ,'red'     ,linewidth=2.,linestyle='-')
#a2 =plt.plot(xx2 ,yy2 ,'green'   ,linewidth=2.,linestyle='-')
#a3 =plt.plot(xx3 ,yy3 ,'blue'    ,linewidth=2.,linestyle='-')
#a4 =plt.plot(xx4 ,yy4 ,'yellow'  ,linewidth=2.,linestyle='-')
#a5 =plt.plot(xx5 ,yy5 ,'black'   ,linewidth=2.,linestyle='-')
#a6 =plt.plot(xx6 ,yy6 ,'orange'  ,linewidth=2.,linestyle='-')
#a7 =plt.plot(xx7 ,yy7 ,'purple'  ,linewidth=2.,linestyle='-')
#a8 =plt.plot(xx8 ,yy8 ,'brown'   ,linewidth=2.,linestyle='-')
#a9 =plt.plot(xx9 ,yy9 ,'cyan'    ,linewidth=2.,linestyle='-')
#a10=plt.plot(xx10,yy10,'magenta' ,linewidth=2.,linestyle='-')

#a1 =plt.plot(xx1 ,yy1 ,'black'  ,linewidth=1.,linestyle='solid')
#a2 =plt.plot(xx2 ,yy2 ,'black'  ,linewidth=1.,linestyle='dashed')
a3 =plt.plot(xx3 ,yy3 ,'black'  ,linewidth=1.,linestyle='dashed')
#a4 =plt.plot(xx4 ,yy4 ,'black'  ,linewidth=1.,linestyle='dotted')
#a5 =plt.plot(xx5 ,yy5 ,'black'  ,linewidth=1.,linestyle='dashdot')
#a6 =plt.plot(xx6 ,yy6 ,'black'  ,linewidth=1.,linestyle=(0,(1,10)))
a7 =plt.plot(xx7 ,yy7 ,'black'  ,linewidth=1.,linestyle='dotted')
#a8 =plt.plot(xx8 ,yy8 ,'black'  ,linewidth=1.,linestyle=(0,(5,10)))
a9 =plt.plot(xx9 ,yy9 ,'black'  ,linewidth=1.,linestyle='dashdot')
a10=plt.plot(xx10,yy10,'black'  ,linewidth=1.,linestyle='solid')

xmin=0.5
xmax=16.0

plt.xticks(np.arange(0,16,1),['1','2','3','4','5','6','7','8','9','10','11','12','13','14','15','16'])
plt.title('')
xlabel='Days of December 2009'
ylabel='Surface Albedo ($-$)'
plt.ylabel(ylabel,fontsize=7)
plt.xlabel(xlabel,fontsize=7)
#plt.xlim([xmin,xmax])    
#plt.axis([1958,2018,280.,285.])    
plt.grid(True)

first_legend = plt.legend( ['ISBAES','CROCUS','JULES','CLM4' ],fontsize=8,loc=(0.82,0.7))
#first_legend = plt.legend( ['cmc gdps','cnrm d95','cnrm ies','ecmwf chtessel', \
#                           'lgge lmdz','ncep noah','cnrm cro','cnrm eba','mo jules', \
#                           'larc clm4' ],fontsize=5,loc=(0.85,0.65))

ax = plt.gca().add_artist(first_legend)

nom_save_fig='Albedo.png'
plt.savefig(nom_save_fig,dpi=300,bbox_inches='tight')



