# -*- coding: utf-8 -*-
"""
Created on Wed May  3 16:50:51 2017

"""

#!/usr/bin/env python


import matplotlib.pyplot as plt
import matplotlib as mp
import matplotlib.mlab as ml
import numpy as np
from scipy import interpolate

#import ConfigParser
#config = ConfigParser.RawConfigParser()

import netCDF4
from netCDF4 import Dataset
   
import matplotlib.colors as col

#------------------------------------------
PATH_txt = './'

#------------------------------------------
VAR='SnowT'
SUF=''
XP='all_grey'
tlabel='(a)'
ymin=0. ; ymax=0.30 ; ylabel='ylabel'
nom_save_fig=PATH_txt + VAR+'_'+XP+'_'+SUF+'.png'    

#------------------------------------------
xlabel='xlabel'
xlabel=''


nom1='PDF.out'+SUF+'.SnowT_cmc_gdps_v02'
nom2='PDF.out'+SUF+'.SnowT_cnrm_cro_new'
nom3='PDF.out'+SUF+'.SnowT_cnrm_cro_v8'
nom4='PDF.out'+SUF+'.SnowT_cnrm_d95_new'
nom5='PDF.out'+SUF+'.SnowT_cnrm_d95_v0'
nom6='PDF.out'+SUF+'.SnowT_cnrm_eba_new'
nom7='PDF.out'+SUF+'.SnowT_cnrm_eba_v0'
nom8='PDF.out'+SUF+'.SnowT_cnrm_ies_new'
nom9='PDF.out'+SUF+'.SnowT_cnrm_ies_v8'
nom10='PDF.out'+SUF+'.SnowT_ecmwf_chtessel_new'
nom11='PDF.out'+SUF+'.SnowT_ecmwf_chtessel_v01'
nom12='PDF.out'+SUF+'.SnowT_ecmwf_chtessel_v01_sn'
nom13='PDF.out'+SUF+'.SnowT_ecmwf_chtessel_v01_sn_z0'
nom14='PDF.out'+SUF+'.SnowT_larc_clm4_new'
nom15='PDF.out'+SUF+'.SnowT_larc_clm4_v1'
nom16='PDF.out'+SUF+'.SnowT_larc_clm4_v2'
nom17='PDF.out'+SUF+'.SnowT_lgge_lmdz_v1'
nom18='PDF.out'+SUF+'.SnowT_mo_jules_new'
nom19='PDF.out'+SUF+'.SnowT_mo_jules_v13'
nom20='PDF.out'+SUF+'.SnowT_ncep_noah_new'
nom21='PDF.out'+SUF+'.SnowT_ncep_noah_v3'
nom22='PDF.out'+SUF+'.BSRN_nov2009_janv2010.txt'

f = open(nom1,'r') ; MATRICE1 = np.loadtxt(f) ; f.close() ; tab1 = MATRICE1[:,:]
f = open(nom2,'r') ; MATRICE2 = np.loadtxt(f) ; f.close() ; tab2 = MATRICE2[:,:]
f = open(nom3,'r') ; MATRICE3 = np.loadtxt(f) ; f.close() ; tab3 = MATRICE3[:,:]
f = open(nom4,'r') ; MATRICE4 = np.loadtxt(f) ; f.close() ; tab4 = MATRICE4[:,:]
f = open(nom5,'r') ; MATRICE5 = np.loadtxt(f) ; f.close() ; tab5 = MATRICE5[:,:]
f = open(nom6,'r') ; MATRICE6 = np.loadtxt(f) ; f.close() ; tab6 = MATRICE6[:,:]
f = open(nom7,'r') ; MATRICE7 = np.loadtxt(f) ; f.close() ; tab7 = MATRICE7[:,:]
f = open(nom8,'r') ; MATRICE8 = np.loadtxt(f) ; f.close() ; tab8 = MATRICE8[:,:]
f = open(nom9,'r') ; MATRICE9 = np.loadtxt(f) ; f.close() ; tab9 = MATRICE9[:,:]
f = open(nom10,'r') ; MATRICE10 = np.loadtxt(f) ; f.close() ; tab10 = MATRICE10[:,:]
f = open(nom11,'r') ; MATRICE11 = np.loadtxt(f) ; f.close() ; tab11 = MATRICE11[:,:]
f = open(nom12,'r') ; MATRICE12 = np.loadtxt(f) ; f.close() ; tab12 = MATRICE12[:,:]
f = open(nom13,'r') ; MATRICE13 = np.loadtxt(f) ; f.close() ; tab13 = MATRICE13[:,:]
f = open(nom14,'r') ; MATRICE14 = np.loadtxt(f) ; f.close() ; tab14 = MATRICE14[:,:]
f = open(nom15,'r') ; MATRICE15 = np.loadtxt(f) ; f.close() ; tab15 = MATRICE15[:,:]
f = open(nom16,'r') ; MATRICE16 = np.loadtxt(f) ; f.close() ; tab16 = MATRICE16[:,:]
f = open(nom17,'r') ; MATRICE17 = np.loadtxt(f) ; f.close() ; tab17 = MATRICE17[:,:]
f = open(nom18,'r') ; MATRICE18 = np.loadtxt(f) ; f.close() ; tab18 = MATRICE18[:,:]
f = open(nom19,'r') ; MATRICE19 = np.loadtxt(f) ; f.close() ; tab19 = MATRICE19[:,:]
f = open(nom20,'r') ; MATRICE20 = np.loadtxt(f) ; f.close() ; tab20 = MATRICE20[:,:]
f = open(nom21,'r') ; MATRICE21 = np.loadtxt(f) ; f.close() ; tab21 = MATRICE21[:,:]
f = open(nom22,'r') ; MATRICE22 = np.loadtxt(f) ; f.close() ; tab22 = MATRICE22[:,:]

fig1=plt.figure(figsize=(10,10))

x= [1958,1959,1960,1961,1962,1963,1964,
           1965,1966,1967,1968,1969,1970,
           1971,1972,1973,1974,1975,1976,
           1977,1978,1979,1980,1981,1982,
           1983,1984,1985,1986,1987,1988,
           1989,1990,1991,1992,1993,1994,
           1995,1996,1997,1998,1999,2000,
           2001,2002,2003,2004,2005,2006,
           2007,2008,2009,2010,2011,2012,
           2013,2014,2015,2016,2017]
labels=['1958','','','','','',
           '','','','','1968','',
           '','','','','','',
           '','','1978','','','',
           '','','','','','',
           '1988','','','','','',
           '','','','','1998','',
           '','','','','','',
           '','','2008','','','',
           '','','','','','2018' ]

zx22=MATRICE22[:,0]
zy22=MATRICE22[:,1]
a22=plt.plot(zx22,zy22,'black',linewidth=2,linestyle='',marker='o')
xmin22=min(zx22)
xmax22=max(zx22)
zxnew22=np.linspace(xmin22,xmax22,num=100,endpoint=True)
f=interpolate.interp1d(zx22,zy22,kind='cubic')
b22=plt.plot(zxnew22,f(zxnew22),'black',linewidth=2,linestyle='--')

zx=MATRICE1[:,0]
zy=MATRICE1[:,1]
#a1=plt.plot(zx,zy,'red',linewidth=2,linestyle='',marker='o')
xmin=min(zx)
xmax=max(zx)
zxnew=np.linspace(xmin,xmax,num=100,endpoint=True)
f=interpolate.interp1d(zx,zy,kind='cubic')
b1=plt.plot(zxnew,f(zxnew),'grey',linewidth=1,linestyle='-')

zx=MATRICE2[:,0]
zy=MATRICE2[:,1]
#a1=plt.plot(zx,zy,'red',linewidth=2,linestyle='',marker='o')
xmin=min(zx)
xmax=max(zx)
zxnew=np.linspace(xmin,xmax,num=100,endpoint=True)
f=interpolate.interp1d(zx,zy,kind='cubic')
#b2=plt.plot(zxnew,f(zxnew),'red',linewidth=2,linestyle='-')

zx=MATRICE3[:,0]
zy=MATRICE3[:,1]
#a1=plt.plot(zx,zy,'red',linewidth=2,linestyle='',marker='o')
xmin=min(zx)
xmax=max(zx)
zxnew=np.linspace(xmin,xmax,num=100,endpoint=True)
f=interpolate.interp1d(zx,zy,kind='cubic')
b3=plt.plot(zxnew,f(zxnew),'grey',linewidth=1,linestyle='-')

zx=MATRICE4[:,0]
zy=MATRICE4[:,1]
#a1=plt.plot(zx,zy,'red',linewidth=2,linestyle='',marker='o')
xmin=min(zx)
xmax=max(zx)
zxnew=np.linspace(xmin,xmax,num=100,endpoint=True)
f=interpolate.interp1d(zx,zy,kind='cubic')
#b4=plt.plot(zxnew,f(zxnew),'blue',linewidth=2,linestyle='-')

zx=MATRICE5[:,0]
zy=MATRICE5[:,1]
#a1=plt.plot(zx,zy,'red',linewidth=2,linestyle='',marker='o')
xmin=min(zx)
xmax=max(zx)
zxnew=np.linspace(xmin,xmax,num=100,endpoint=True)
f=interpolate.interp1d(zx,zy,kind='cubic')
b5=plt.plot(zxnew,f(zxnew),'grey',linewidth=1,linestyle='-')

zx=MATRICE6[:,0]
zy=MATRICE6[:,1]
#a1=plt.plot(zx,zy,'red',linewidth=2,linestyle='',marker='o')
xmin=min(zx)
xmax=max(zx)
zxnew=np.linspace(xmin,xmax,num=100,endpoint=True)
f=interpolate.interp1d(zx,zy,kind='cubic')
#b6=plt.plot(zxnew,f(zxnew),'green',linewidth=2,linestyle='-')

zx=MATRICE7[:,0]
zy=MATRICE7[:,1]
#a1=plt.plot(zx,zy,'red',linewidth=2,linestyle='',marker='o')
xmin=min(zx)
xmax=max(zx)
zxnew=np.linspace(xmin,xmax,num=100,endpoint=True)
f=interpolate.interp1d(zx,zy,kind='cubic')
b7=plt.plot(zxnew,f(zxnew),'grey',linewidth=1,linestyle='-')

zx=MATRICE8[:,0]
zy=MATRICE8[:,1]
#a1=plt.plot(zx,zy,'red',linewidth=2,linestyle='',marker='o')
xmin=min(zx)
xmax=max(zx)
zxnew=np.linspace(xmin,xmax,num=100,endpoint=True)
f=interpolate.interp1d(zx,zy,kind='cubic')
#b8=plt.plot(zxnew,f(zxnew),'purple',linewidth=2,linestyle='-')

zx=MATRICE9[:,0]
zy=MATRICE9[:,1]
#a1=plt.plot(zx,zy,'red',linewidth=2,linestyle='',marker='o')
xmin=min(zx)
xmax=max(zx)
zxnew=np.linspace(xmin,xmax,num=100,endpoint=True)
f=interpolate.interp1d(zx,zy,kind='cubic')
b9=plt.plot(zxnew,f(zxnew),'grey',linewidth=1,linestyle='-')

zx=MATRICE10[:,0]
zy=MATRICE10[:,1]
#a1=plt.plot(zx,zy,'red',linewidth=2,linestyle='',marker='o')
xmin=min(zx)
xmax=max(zx)
zxnew=np.linspace(xmin,xmax,num=100,endpoint=True)
f=interpolate.interp1d(zx,zy,kind='cubic')
#b10=plt.plot(zxnew,f(zxnew),'cyan',linewidth=2,linestyle='-')

zx=MATRICE11[:,0]
zy=MATRICE11[:,1]
#a1=plt.plot(zx,zy,'red',linewidth=2,linestyle='',marker='o')
xmin=min(zx)
xmax=max(zx)
zxnew=np.linspace(xmin,xmax,num=100,endpoint=True)
f=interpolate.interp1d(zx,zy,kind='cubic')
#b11=plt.plot(zxnew,f(zxnew),'grey',linewidth=2,linestyle='-')

zx=MATRICE12[:,0]
zy=MATRICE12[:,1]
#a1=plt.plot(zx,zy,'red',linewidth=2,linestyle='',marker='o')
xmin=min(zx)
xmax=max(zx)
zxnew=np.linspace(xmin,xmax,num=100,endpoint=True)
f=interpolate.interp1d(zx,zy,kind='cubic')
#b12=plt.plot(zxnew,f(zxnew),'red',linewidth=2,linestyle='--')

zx=MATRICE13[:,0]
zy=MATRICE13[:,1]
#a1=plt.plot(zx,zy,'red',linewidth=2,linestyle='',marker='o')
xmin=min(zx)
xmax=max(zx)
zxnew=np.linspace(xmin,xmax,num=100,endpoint=True)
f=interpolate.interp1d(zx,zy,kind='cubic')
b13=plt.plot(zxnew,f(zxnew),'grey',linewidth=1,linestyle='-')

zx=MATRICE14[:,0]
zy=MATRICE14[:,1]
#a1=plt.plot(zx,zy,'red',linewidth=2,linestyle='',marker='o')
xmin=min(zx)
xmax=max(zx)
zxnew=np.linspace(xmin,xmax,num=100,endpoint=True)
f=interpolate.interp1d(zx,zy,kind='cubic')
#b14=plt.plot(zxnew,f(zxnew),'blue',linewidth=2,linestyle='--')

zx=MATRICE15[:,0]
zy=MATRICE15[:,1]
#a1=plt.plot(zx,zy,'red',linewidth=2,linestyle='',marker='o')
xmin=min(zx)
xmax=max(zx)
zxnew=np.linspace(xmin,xmax,num=100,endpoint=True)
f=interpolate.interp1d(zx,zy,kind='cubic')
#b15=plt.plot(zxnew,f(zxnew),'orange',linewidth=2,linestyle='--')

zx=MATRICE16[:,0]
zy=MATRICE16[:,1]
#a1=plt.plot(zx,zy,'red',linewidth=2,linestyle='',marker='o')
xmin=min(zx)
xmax=max(zx)
zxnew=np.linspace(xmin,xmax,num=100,endpoint=True)
f=interpolate.interp1d(zx,zy,kind='cubic')
b16=plt.plot(zxnew,f(zxnew),'grey',linewidth=1,linestyle='-')

zx=MATRICE17[:,0]
zy=MATRICE17[:,1]
#a1=plt.plot(zx,zy,'red',linewidth=2,linestyle='',marker='o')
xmin=min(zx)
xmax=max(zx)
zxnew=np.linspace(xmin,xmax,num=100,endpoint=True)
f=interpolate.interp1d(zx,zy,kind='cubic')
b17=plt.plot(zxnew,f(zxnew),'grey',linewidth=1,linestyle='-')

zx=MATRICE18[:,0]
zy=MATRICE18[:,1]
#a1=plt.plot(zx,zy,'red',linewidth=2,linestyle='',marker='o')
xmin=min(zx)
xmax=max(zx)
zxnew=np.linspace(xmin,xmax,num=100,endpoint=True)
f=interpolate.interp1d(zx,zy,kind='cubic')
#b18=plt.plot(zxnew,f(zxnew),'purple',linewidth=2,linestyle='--')

zx=MATRICE19[:,0]
zy=MATRICE19[:,1]
#a1=plt.plot(zx,zy,'red',linewidth=2,linestyle='',marker='o')
xmin=min(zx)
xmax=max(zx)
zxnew=np.linspace(xmin,xmax,num=100,endpoint=True)
f=interpolate.interp1d(zx,zy,kind='cubic')
b19=plt.plot(zxnew,f(zxnew),'grey',linewidth=1,linestyle='-')

zx=MATRICE20[:,0]
zy=MATRICE20[:,1]
#a1=plt.plot(zx,zy,'red',linewidth=2,linestyle='',marker='o')
xmin=min(zx)
xmax=max(zx)
zxnew=np.linspace(xmin,xmax,num=100,endpoint=True)
f=interpolate.interp1d(zx,zy,kind='cubic')
#b20=plt.plot(zxnew,f(zxnew),'brown',linewidth=2,linestyle='--')

zx=MATRICE21[:,0]
zy=MATRICE21[:,1]
#a1=plt.plot(zx,zy,'red',linewidth=2,linestyle='',marker='o')
xmin=min(zx)
xmax=max(zx)
zxnew=np.linspace(xmin,xmax,num=100,endpoint=True)
f=interpolate.interp1d(zx,zy,kind='cubic')
b21=plt.plot(zxnew,f(zxnew),'grey',linewidth=1,linestyle='-')

# Add text to the figure
#plt.text(222.,0.28,tlabel,fontsize=20,fontweight='bold')
plt.text(236.5,0.28,tlabel,fontsize=20,fontweight='bold')

plt.grid(True)
plt.ylim([ymin,ymax])    
first_legend = plt.legend([b22[0],b1[0]], ['OBS','MODELS'],fontsize=20,loc=0)
#first_legend = plt.legend([b22[0],b1[0],b3[0],b5[0],b7[0],b9[0],b13[0],b16[0],b17[0],b19[0],b21[0]], ['obs','1','3','5','7','9','13','16','17','19','21'],fontsize=7,loc=0)
#first_legend = plt.legend([a22[0],b22[0],b3[0],b4[0],b5[0],b6[0],b7[0],b8[0],b9[0]], ['obs','obs_i','cro_v8','d95_new','d95_v0','eba_new','eba_v0','ies_new','ies_v8'],fontsize=7,loc=0)
#first_legend = plt.legend([a22[0],b22[0],b1[0],b2[0],b3[0],b4[0],b5[0],b6[0],b7[0],b8[0],b9[0],b10[0],b11[0],b12[0],b13[0],b14[0],b15[0],b16[0],b17[0],b18[0],b19[0],b20[0],b21[0]], ['obs','obs_i','1','2','3','4','5','6','7','8','9','10','11','12','13','14','15','16','17','18','19','20','21'],fontsize=7,loc=0)
#first_legend = plt.legend([a22[0],b22[0],b2[0],b4[0],b6[0],b8[0]], ['obs','obs_i','cro','d95','eba','ies'],fontsize=7,loc=0)
ax = plt.gca().add_artist(first_legend)
plt.xticks(fontsize=20)
plt.yticks(fontsize=20)
plt.savefig(nom_save_fig,dpi=300,bbox_inches='tight')

#plt.xticks(x,labels,rotation='45')
#plt.xticks(np.arange(1958.,2018.,9.83),('1958','1968','1978','1988','1998','2008','2018'),rotation='45')
#plt.xticks(np.linspace(1958,2018,7))
#plt.tick_params(labelsize=7)
#plt.title('')
#plt.ylabel(ylabel,fontsize=7)
#plt.xlabel(xlabel,fontsize=7)
#plt.xlim([0,60])    
#plt.axis([1958,2018,280.,285.])    
#plt.xlim([1958,2018])    
#plt.xticks(np.arange(1958.,2018.,10),('1958','1968','1978','1988','1998','2008','2018'))



