# -*- coding: utf-8 -*-
"""
Created on Wed May  3 16:50:51 2017

"""

#!/usr/bin/env python


import matplotlib.pyplot as plt
import matplotlib as mp
import matplotlib.mlab as ml
import numpy as np

#import ConfigParser
#config = ConfigParser.RawConfigParser()

import netCDF4
from netCDF4 import Dataset
   
import matplotlib.colors as col

#------------------------------------------
PATH_txt = './'
#------------------------------------------
xlabel='Time'
xlabel=''

nom1='out.Qle_cmc_gdps_v02'
nom2='out.Qle_cnrm_d95_v0'
nom3='out.Qle_cnrm_ies_v8'
nom4='out.Qle_ecmwf_chtessel_v01_sn_z0'
nom5='out.Qle_lgge_lmdz_v1'
nom6='out.Qle_ncep_noah_v3'
nom7='out.Qle_cnrm_cro_v8'
nom8='out.Qle_cnrm_eba_v0'
nom9='out.Qle_mo_jules_v13'
nom10='out.Qle_larc_clm4_v2'
nom11='out.Qle_obs.dat'

f = open(nom1,'r')
MATRICE1 = np.loadtxt(f)
f.close()
f = open(nom2,'r')
MATRICE2 = np.loadtxt(f)
f.close()
f = open(nom3,'r')
MATRICE3 = np.loadtxt(f)
f.close()
f = open(nom4,'r')
MATRICE4 = np.loadtxt(f)
f.close()
f = open(nom5,'r')
MATRICE5 = np.loadtxt(f)
f.close()
f = open(nom6,'r')
MATRICE6 = np.loadtxt(f)
f.close()
f = open(nom7,'r')
MATRICE7 = np.loadtxt(f)
f.close()
f = open(nom8,'r')
MATRICE8 = np.loadtxt(f)
f.close()
f = open(nom9,'r')
MATRICE9 = np.loadtxt(f)
f.close()
f = open(nom10,'r')
MATRICE10 = np.loadtxt(f)
f.close()
f = open(nom11,'r')
MATRICE11 = np.loadtxt(f)
f.close()

xx1  = MATRICE1 [:,1] ; yy1  = MATRICE1 [:,0]
xx2  = MATRICE2 [:,1] ; yy2  = MATRICE2 [:,0]
xx3  = MATRICE3 [:,1] ; yy3  = MATRICE3 [:,0]
xx4  = MATRICE4 [:,1] ; yy4  = MATRICE4 [:,0]
xx5  = MATRICE5 [:,1] ; yy5  = MATRICE5 [:,0]
xx6  = MATRICE6 [:,1] ; yy6  = MATRICE6 [:,0]
xx7  = MATRICE7 [:,1] ; yy7  = MATRICE7 [:,0]
xx8  = MATRICE8 [:,1] ; yy8  = MATRICE8 [:,0]
xx9  = MATRICE9 [:,1] ; yy9  = MATRICE9 [:,0]
xx10 = MATRICE10[:,1] ; yy10 = MATRICE10[:,0]
xx11 = MATRICE11[:,1] ; yy11 = MATRICE11[:,0]

fig1=plt.figure(figsize=(7,5))

colors = np.array(["red","green","blue","yellow","black","orange","purple","brown","cyan","magenta"])

a1 =plt.scatter(yy1  ,yy11 ,s=15,c=colors[0],marker='$0$')
a2 =plt.scatter(yy2  ,yy11 ,s=15,c=colors[1],marker='$1$')
a3 =plt.scatter(yy3  ,yy11 ,s=15,c=colors[2],marker='$2$')
a4 =plt.scatter(yy4  ,yy11 ,s=15,c=colors[3],marker='$3$')
a5 =plt.scatter(yy5  ,yy11 ,s=15,c=colors[4],marker='$4$')
a6 =plt.scatter(yy6  ,yy11 ,s=15,c=colors[5],marker='$5$')
a7 =plt.scatter(yy7  ,yy11 ,s=15,c=colors[6],marker='$6$')
a8 =plt.scatter(yy8  ,yy11 ,s=15,c=colors[7],marker='$7$')
a9 =plt.scatter(yy9  ,yy11 ,s=15,c=colors[8],marker='$8$')
a10=plt.scatter(yy10 ,yy11 ,s=15,c=colors[9],marker='$9$')

plt.plot([-2.5, 12.5], [-2.5, 12.5], color = 'grey', linestyle = '--')

xmin=-2.5
xmax=12.5
ymin=-0.
ymax=10.

#plt.xticks(np.arange(0,16,1),['1','2','3','4','5','6','7','8','9','10','11','12','13','14','15','16'])
plt.title('')
xlabel='Qle model ($W/m2$)'
ylabel='Qle obs ($W/m2$)'
plt.ylabel(ylabel,fontsize=7)
plt.xlabel(xlabel,fontsize=7)
plt.grid(True)
#plt.xlim([1958,2018])    
#plt.ylim([ymin,ymax])    
#plt.xticks(np.arange(1958.,2018.,10),('1958','1968','1978','1988','1998','2008','2018'))


first_legend = plt.legend( ['1:1','GDPS4','D95','ISBAES','CHTESSEL', \
                           'LMDZ','NOAH','CROCUS','EBA','JULES', \
                           'CLM4' ],fontsize=7,loc=(0.82,0.04))

#ax = plt.gca().add_artist(first_legend)

#first_legend = plt.legend([a1 [0], a14 [0], a15 [0], a16 [0]],\
#                          ['models','bsrn','modis', 'iasi'],fontsize=7,loc=0)

#ax = plt.gca().add_artist(first_legend)

nom_save_fig='Qle_scatt.png'
plt.savefig(nom_save_fig,dpi=300,bbox_inches='tight')



